package com.yuchen.saas.parking.api.enums;

import lombok.AllArgsConstructor;

/**
 * @Author 蔡文强
 * @Date 2023/5/25 15:56
 * @Description 优惠类型枚举信息
 */
@AllArgsConstructor
public enum CouponTypeEnum {

    SMART_PARKING(1, "智慧停车"),
    SMART_CHARGING(2, "智慧充电"),
    PLATFORM_COMMON(3, "平台通用"),
    ;

    private Integer code;

    public Integer getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    private String description;

    public static String getDescByCode(Integer code) {
        CouponTypeEnum[] enumArray = CouponTypeEnum.values();
        for (CouponTypeEnum e : enumArray) {
            if (e.getCode().equals(code)) {
                return e.getDescription();
            }
        }
        return "";
    }
}
